(function() {
	// Hide search bar
    $("#global-search-container").hide();
    // Hide tabs' headers
    $("div.module-header").hide();

    var didSelector = '#ssm_ring_groups select[id^="ring_groups["][id$="][did]"]';
    updateDropdownOptions(didSelector, masterListOfDids);
    // Event listener for when a DID dropdown changes
    Ombutel.on('change', didSelector, function() {
        updateDropdownOptions(didSelector, masterListOfDids);
    })

})();

function updateDropdownOptions(selector, options) {
    var selectedValues = [];
    $(selector).each(function() {
        var currSelectedValue = $(this).val();
        if (currSelectedValue) {
            selectedValues.push(currSelectedValue);
        }
    });

    $(selector).each(function() {
        var $dropdown = $(this);
        var currentVal = $dropdown.val();
        var availableValues = options.filter(function(option) {
            var value = Object.keys(option)[0];
            return !selectedValues.includes(value) || value === currentVal;
        });

        // Clear the dropdown and repopulate
        $dropdown.empty();

        // Add a blank option if needed
        $dropdown.append($('<option>', { value: '', text: ''}));

        availableValues.forEach(function(option) {
            var value = Object.keys(option)[0];
            var label = option[value];
            $dropdown.append($('<option>', {
                value: value,
                text: label,
                selected: value === currentVal
            }));
        });
    });
}
